Resolving Typedefs

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
restypedef.cpp File Reference

## Classes
struct | CoordStruct

## Typedefs
typedef CoordStruct | Coord

## Functions
Coord | add (Coord c1, Coord c2)

## Detailed Description

An example of resolving typedefs.

## Typedef Documentation

typedef CoordStruct Coord

Creates a type name for CoordStruct

## Function Documentation

Coord add | ( | Coord | c1,
|  | Coord | c2
| ) |  |

This function returns the addition of c1 and c2, i.e: (c1.x+c2.x,c1.y+c2.y)